<?
if(isset($_GET['sh_myfarm']) && isset($_GET['sh_change_plant']))
{
echo '<div class="event"><h1>Биржа труда</h1></div>';
echo "<div class='content'>";
echo "<div class='block'>";
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_plant_sh` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$plant=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_plant_sh` WHERE `id` = '".intval($_GET['select'])."'"));

mysql_querll("UPDATE `kolhoz_user` SET `last_plant_sh` = '$plant[id]' WHERE `id` = '$ku[id]'");
header("Location:?sh_myfarm".$peremenn."&".passgen());
exit;
}
$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_plant_sh`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_querll("SELECT * FROM `kolhoz_plant_sh` ORDER BY `level` ASC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='images/shaht/$post[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "".($ku['level']>=$post['level']?"<a href='?sh_myfarm".$peremenn."&sh_change_plant&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)." <span class='minor'>, ".($ku['level']>=$post['level']?"цена добычи: </span><span><img width='16' height='16' src='images/icons/ruby.png' alt='o'><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='small minor'> Время добычи: 
<span class='title'>".time_left($post['time'])."</span>, Время до кормления рабочих: <span class='title'>".time_left($post['time_soil'])."</span><br>Доход: <img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>$post[money]</span>, Опыт: <img width='16' height='16' src='images/icons/experience.png' alt='o'> <span>$post[rating]</span>, Добыча: <span>$post[count]</span> <span>г.</span></div></li>";
}
echo "</ul>";
if ($k_page>1)str("?sh_myfarm&sh_change_plant&",$k_page,$page); // Вывод страниц
echo "</div>";
include_once 'inc/foot.php';
}
?>